Skip to main content
GET
/
partner
/
scans
/
vulnerability
/
{scanId}
Vulnerability for scan Id
curl --request GET \
  --url https://api.example.com/partner/scans/vulnerability/{scanId}
{
  "scanId": 123,
  "scanName": "<string>",
  "scanType": "<string>",
  "scanStart": "2023-11-07T05:31:56Z",
  "scanEnd": "2023-11-07T05:31:56Z",
  "assets": [
    {
      "id": 123,
      "name": "<string>",
      "ipAddress": "<string>",
      "vulnerabilities": [
        {
          "cve": "<string>",
          "title": "<string>",
          "score": 123,
          "epssScore": 123,
          "riskLevel": "<string>",
          "exploitability": "<string>",
          "scanId": 123,
          "cveId": 123,
          "firstSeen": "2023-11-07T05:31:56Z",
          "targetIp": "<string>",
          "targetHostName": "<string>"
        }
      ],
      "openPorts": [
        {
          "id": 123,
          "targetIp": "<string>",
          "targetName": "<string>",
          "portNumber": "<string>",
          "portProtocol": "<string>",
          "portDescription": "<string>",
          "riskLevel": "<string>"
        }
      ],
      "flaws": [
        {
          "alertId": 123,
          "port": 123,
          "alertRef": "<string>",
          "alertName": "<string>",
          "riskLevel": "<string>",
          "alertCount": 123,
          "target": "<string>"
        }
      ]
    }
  ]
}

Headers

Authorization
string

Path Parameters

scanId
integer<int32>
required

Id of the vulnerability scan.

Response

OK

Represents a vulnerability scan with its associated assets and their vulnerabilities.

scanId
integer<int32>

Unique identifier for the scan.

scanName
string | null

Name of the scan.

scanType
string | null

Type of the scan

scanStart
string<date-time>

Start and end times of the scan.

scanEnd
string<date-time>

End time of the scan.

assets
Asset · object[] | null

List of assets included in the scan.